#!/bin/bash
# test we are root
if [ "$(id -u)" != "0" ]; then
   echo "run as root now exitting"
   exit 1
fi

export CFLAGS="-march=armv8-a+crc -mtune=cortex-a72 -Os -pipe"
export CXXFLAGS="-march=armv8-a+crc -mtune=cortex-a72 -Os -pipe \
-fno-exceptions -fno-rtti"

P=ghostscript
V=9.52
SRC=$P-$V
USER=`cat /etc/sysconfig/tcuser`
LIST="compiletc wget squashfs-tools zsync xz cups-dev cairo-dev libjpeg-turbo-dev lcms2-dev libXt-dev gtk3-dev "
for Z in $LIST 
    do 
    su -c "tce-load -i $Z" $USER
done

cd /tmp
su -c "/usr/local/bin/wget -nc --no-check-certificate \
https://github.com/ArtifexSoftware/ghostpdl-downloads/releases/download/gs952/$SRC.tar.xz  " $USER
xz -d $SRC*xz && tar xvf $SRC.tar
cd $SRC
# I have expat2 freetype lcms2 libjpeg-turbo libpng libtiff zlib_base-dev loaded 
rm -rf expat freetype lcms2mt jpeg libpng tiff zlib
./configure --prefix=/usr/local --localstatedir=/var --enable-dynamic --disable-compile-inits
####################################################
make -j5 # 3.5 minutes
mkdir /tmp/$P
make install DESTDIR=/tmp/$P
cd /tmp

# doc removed
###### 
rm -rf $P/usr/local/share/man 
rm -rf $P/usr/local/share/doc 

# main start afresh
######
mkdir -p $P/usr/local/share/doc/$P
cp $SRC/LICENSE $P/usr/local/share/doc/$P

# TCZ them
#######
LIST="$P "
for Z in $LIST
do
	mksquashfs $Z $Z.tcz
	md5sum $Z.tcz > $Z.tcz.md5.txt
	cd $Z
	find usr -not -type d > /tmp/$Z.tcz.list
        sed 's|usr|/usr|g' -i /tmp/$Z.tcz.list
	cd /tmp
        zsyncmake $Z.tcz
done

ls -hal

echo 'Title:          ghostscript.tcz
Description:    An interpreter for the PostScript language and for PDF
Version:        9.52
Author:         Artifex Software Inc.
Original-site:  https://www.ghostscript.com/
Copying-policy: see LICENSE
Size:           11.22M
Extension_by:   aus9
Tags:           postscript ps pdf
Comments:       used to display pdf or for printing
                PDF display terminal command
                $ gs -dSAFER -dBATCH ~/docs/sample.pdf

Change-log:     2020/09/21 Original 9.52
Current:        2020/09/21  ' > $P.tcz.info
 
echo 'libcups.tcz
liblcms2.tcz
fontconfig.tcz
libpng.tcz
libtiff.tcz' > $P.tcz.dep

